import request from '@/utils/request'

// 查询品牌方列表
export function listBrewery(query) {
  return request({
    url: '/brewery/brewery/list',
    method: 'get',
    params: query
  })
}

// 查询品牌方详细
export function getBrewery(id) {
  return request({
    url: '/brewery/brewery/' + id,
    method: 'get'
  })
}

// 新增品牌方
export function addBrewery(data) {
  return request({
    url: '/brewery/brewery',
    method: 'post',
    data: data
  })
}

// 修改品牌方
export function updateBrewery(data) {
  return request({
    url: '/brewery/brewery',
    method: 'put',
    data: data
  })
}

// 删除品牌方
export function delBrewery(id) {
  return request({
    url: '/brewery/brewery/' + id,
    method: 'delete'
  })
}
